Bug 170510 - Mouse Pointer Vanishes after busy application, leaving only swirling blue circle
Mouse Pointer Vanishes after busy application, leaving only swirling blue circle
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-artwork (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2005-10-12 10:28 EDT by Bryan Che
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 11:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2005-10-12 10:28:16 EDT
Description of problem:

I just updated to RHEL 4 U2.  As part of that update, my mouse cursor's busy
icon changed to swirling blue circle below a mouse pointer.  But, often times,
the mouse pointer vanishes, and I am left with just the swirling blue circle
even though I have moved my mouse away from the busy application.  This makes
pointing at other applications or the desktop menus really difficult.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.  Make an application busy so that the swirling blue circle busy mouse icon
2. Move the mouse to another app to a desktop menu
Actual results:

The mouse pointer disappears, and there is only the circle

Expected results:

The mouse pointer should be able to point at other apps

Additional info:
Comment 1 John (J5) Palmieri 2005-10-12 11:31:23 EDT
This should be no different from previous releases where the busy cursor was an
hourglass with no pointer.  The hotspot is in the center of the circle.  We do
have a "fix" in fedora where the busy cursor is the mouse pointer with the swirl
moving on an axis.  It did not get in on time for the U2 update.  If there are
more changes in redhat-artwork for U3 I will see if I can get it in.
Comment 2 Bryan Che 2005-10-12 11:43:52 EDT
Actually, sometimes I see the swirl with a mouse pointer above it, and sometimes
I see the swirl with no mouse pointer above it.  This inconsistency is what made
me first notice the behavior.  Also, the cursor should not display the circle
when I move away from the busy application.
Comment 3 John (J5) Palmieri 2005-10-12 11:50:46 EDT
Mozilla uses a different busy icon.  We switched to using that for everything
now in Fedora and it will be the default for RHEL5 but in previous RHEL's we
will need  a rec for it to be changed.
Comment 4 Jiri Pallich 2012-06-20 11:54:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.